/*  ==========================================================================
    Module: CONTENT PAGES
    ========================================================================== */


    /* STYLING
    ========================================================================== */

    .content-container
    {
        padding: $double-space;

        background-color: $gray-00;
    }

    .content-frame
    {
        -webkit-overflow-scrolling: touch;
    }

    /* LAYOUT
    ========================================================================== */

    .l-content
    {
        @extend %grid;
        @extend %grid--full;

        padding-top: 56px;
        background: $gray-00;
        overflow: auto;
        -webkit-overflow-scrolling: touch;
    }

    .content
    {
        @extend %grid__item;
        @extend %huge--two-thirds;
    }

    .content__logo
    {
        display: block;
        width: 100%;
        max-width: 300px;
        height: auto;
        margin: $double-space auto;

        text-align: center;

        @include breakpoint(large)
        {
            width: 170px;
            height: 42px;
            margin: 0;
            margin: $double-space 0 $double-space * 2 0;
        }
    }

    .content__title
    {
        font-size: $content-title-font-size;
        line-height: $content-title-line-height;
    }

    .content__subtitle
    {
        font-size: $content-subtitle-font-size;
        line-height: $content-subtitle-line-height;
    }

    .content__text
    {
        margin-bottom: $double-space;

        font-size: $content-text-font-size;
        line-height: $content-text-line-height;

        @include breakpoint(large)
        {
            margin-bottom: $single-space;
        }
    }

    .content--full
    {
        @extend %grid__item;
    }

    // has a fixed width after a certain breakpoint
    .content--fixed
    {
        display: block;
        max-width: 1024px;
        margin: 0 auto;
    }

    .content--bgimg
    {
        position: relative;
        width: 100%;
        height: 110vH;

        .content-container
        {
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            
            width: 100%;
            padding-right: $r-gutter;
            padding-top: $single-space;
            padding-left: 24px !important;
            
            color: $white;
            background-color: transparent;
        }
    }

    .content--bgimg__bg
    {
        height: 100%;

        background: url(#{$root-folder}/img/content/background.jpg) no-repeat center center;
        background-size: cover;

        @include breakpoint(large)
        {
            background: url(#{$root-folder}/img/content/background-large.jpg) no-repeat center center;
            background-size: cover;
        }

        @include breakpoint(monstrous)
        {
            background: url(#{$root-folder}/img/content/background-monstrous.jpg) no-repeat center center;
            background-size: cover;
        }
    }

    .content--bgimg__bg2
    {
        height: 100%;

        background-color: $positive;
    }